# Create client sign off

POST https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/offboarding/review-client-sign-offs
Content-Type: application/json

Use this endpoint to review, approve, or request changes to EOR employee offboarding documents for a specific contract during the client sign‑off step.
 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/create-eor-offboarding-client-sign-off

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/offboarding/review-client-sign-offs:
    post:
      operationId: create-eor-offboarding-client-sign-off
      summary: Create client sign off
      description: >-
        Use this endpoint to review, approve, or request changes to EOR employee
        offboarding documents for a specific contract during the client sign‑off
        step.
         **Token scopes**: `contracts:write`
      tags:
        - subpackage_eorOffboarding
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Approval submitted successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-offboarding_createEOROffboardingClientSignOff_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestForbiddenError
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdOffboardingReviewClientSignOffsPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        reviewer_feedback:
          type:
            - string
            - 'null'
          description: >-
            Feedback from the reviewer when the termination is not approved.
            Required if has_client_approved is false, otherwise optional.
        has_client_approved:
          type: boolean
          description: Indicates if the client has approved the termination request
        has_employee_been_notified:
          type:
            - boolean
            - 'null'
          description: Indicates if the employee has been notified about the termiantion
      required:
        - has_client_approved
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostRequestBodyContentApplicationJsonSchemaData
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the file
        name:
          type: string
          description: The name of the file
        type:
          type: string
          description: The type/extension of the file
        created_at:
          type: string
          format: date-time
          description: The date and time the file was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the file was updated
        is_additional_supporting_document:
          type: boolean
          description: >-
            Indicates if this is an additional supporting document added after
            the initial submission
      required:
        - id
        - name
        - type
        - created_at
        - updated_at
        - is_additional_supporting_document
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the file
        name:
          type: string
          description: The name of the file
        type:
          type: string
          description: The type/extension of the file
        created_at:
          type: string
          format: date-time
          description: The date and time the file was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the file was updated
      required:
        - id
        - name
        - type
        - created_at
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus:
      type: string
      enum:
        - AWAITING_REVIEW
        - AWAITING_FEEDBACK
        - FEEDBACK_PROVIDED
        - APPROVED
        - CHANGES_REQUESTED_BY_CLIENT
        - CHANGES_REQUESTED_BY_EMPLOYEE
        - WAIVED_REVIEW
        - NOT_RESPONDED
        - CANCELLED
      description: The current status of the document review
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType:
      type: string
      enum:
        - CLIENT
        - EMPLOYEE
      description: The type of reviewer for this document
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the document set shared with the employee.
        files:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems
        status:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus
          description: The current status of the document review
        created_at:
          type: string
          format: date-time
          description: The date and time the document set was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the document set was updated
        reviewed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the document was reviewed
        reviewed_by:
          type:
            - string
            - 'null'
          description: >-
            The name of the reviewer for this document. If the reviewer is not
            an employee, it will be the name of the client
        reviewer_type:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType
          description: The type of reviewer for this document
        reviewer_feedback:
          type:
            - string
            - 'null'
          description: Feedback provided by the reviewer
        notification_instructions:
          type:
            - string
            - 'null'
          description: HTML instructions for the reviewer notification
        is_employee_notification_required:
          type: boolean
          description: >-
            Indicates if the employee should be notified about this document
            review
      required:
        - files
        - status
        - reviewer_type
        - is_employee_notification_required
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsResignationLetter:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the resignation letter
        signature:
          type:
            - string
            - 'null'
          description: The signature of the resignation letter
        signed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the resignation letter was signed
        created_at:
          type: string
          format: date-time
          description: The date and time the resignation letter was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the resignation letter was updated
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsResignationLetter
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocuments:
      type: object
      properties:
        supporting:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems
        offboarding:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems
          description: Document set shared that requires client or employee review
        resignation_letter:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocumentsResignationLetter
            - type: 'null'
      required:
        - supporting
        - offboarding
      description: >-
        Document management structure for termination workflow including review
        processes and supporting documents
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocuments
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataReason:
      type: string
      enum:
        - STATUS_CHANGE
        - RELOCATION
        - COMPENSATION
        - RETIREMENT
        - JOB_ABANDONMENT
        - WORK_RELATED
        - PERSONAL
        - OTHER_OPPORTUNITY
        - NON_RENEWAL
        - PROBATION
        - ASSIGNMENT_ENDED
        - POSITION_ELIMINATION
        - FORCE_REDUCTION
        - DEATH
        - FOR_CAUSE
        - PERFORMANCE
        - MEDICAL
        - PERFORMANCE_ISSUES
        - ATTENDANCE_ISSUES
        - REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE
        - ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED
        - OFFER_WAS_REVOKED
        - EXITING_THE_MARKET
        - NO_LONGER_WISH_TO_WORK_WITH_DEEL
        - COMPANY_ACQUIRED
        - STEALING
        - MISCONDUCT
        - FALSIFYING
        - HARASSMENT
        - VIOLENCE
        - >-
          REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE_OR_ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED
        - UNAUTHORIZED_ABSENCES_OR_LACK_OF_ATTENDANCE
        - STANDARD_RESELLER_PRACTICE
        - MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
        - MOVING_EMPLOYEE_TO_DEEL_PEO
        - OTHER
      description: The reason for the termination
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataReason
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit:
      type: string
      enum:
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: The unit of measurement for time off tracking
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems:
      type: object
      properties:
        used:
          type: number
          format: double
          description: The amount of time off used in this tracking period
        end_date:
          type: string
          format: date-time
          description: The end date of the tracking period
        start_date:
          type: string
          format: date-time
          description: The start date of the tracking period
      required:
        - used
        - end_date
        - start_date
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems:
      type: object
      properties:
        unit:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit
          description: The unit of measurement for time off tracking
        policy_type:
          type: string
          description: The type of time-off policy
        tracking_periods:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
        scheduled_until_end_date:
          type: number
          format: double
          description: >-
            The amount of time off scheduled until the end date of the current
            tracking period
      required:
        - unit
        - policy_type
        - tracking_periods
        - scheduled_until_end_date
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails:
      type: object
      properties:
        notes:
          type:
            - string
            - 'null'
          description: Additional notes or comments about the time-off data
        updated_by:
          type:
            - string
            - 'null'
          description: The person or system that last updated the time-off data
        last_updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the time-off data was last updated
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff:
      type: object
      properties:
        time_offs:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems
        additional_details:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails
            - type: 'null'
        is_deel_pto_confirmed:
          type: boolean
          description: >-
            Indicates whether the PTO allocation has been confirmed by Deel's
            system
      required:
        - time_offs
        - is_deel_pto_confirmed
      description: Time-off usage data including policy information and tracking periods
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire:
      type: string
      enum:
        - 'YES'
        - 'NO'
        - DONT_KNOW
      description: >-
        Parameter to inform whether it would be possible for the client to hire
        the employee again
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestData:
      type: object
      properties:
        reason:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataReason
          description: The reason for the termination
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        reason_detail:
          type:
            - string
            - 'null'
          description: Optional field to describe the reason behind the resignation request
        used_time_off:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff
          description: >-
            Time-off usage data including policy information and tracking
            periods
        desired_end_date:
          type:
            - string
            - 'null'
          format: date
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
        eligible_for_rehire:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
            - type: 'null'
          description: >-
            Parameter to inform whether it would be possible for the client to
            hire the employee again
        eligible_for_rehire_reason:
          type:
            - string
            - 'null'
          description: Describe if the option DONT_KNOW was selected on eligible_for_rehire
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestData
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the offboarding request
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        documents:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataDocuments
          description: >-
            Document management structure for termination workflow including
            review processes and supporting documents
        created_at:
          type: string
          format: date-time
          description: The date and time the offboarding request was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the offboarding request was updated
        contract_id:
          type: string
          description: The unique identifier of the employee contract.
        is_sensitive:
          type: boolean
          description: >-
            Indicates if the offboarding request is sensitive. This is used to
            restrict access to the request only to the requester and the HRX
            team.
        request_data:
          oneOf:
            - $ref: >-
                #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaDataRequestData
            - type: 'null'
        desired_end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaData
    eor-offboarding_createEOROffboardingClientSignOff_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-offboarding_createEOROffboardingClientSignOff_Response_200
    EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where error occurred (null for server errors)
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems
    ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestBadRequestError
    ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestUnauthorizedError
    ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestForbiddenError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingReviewClientSignOffsPostResponsesContentApplicationJsonSchemaErrorsItems
      title: >-
        ReviewApproveOrRequestChangesToEorOffboardingDocumentsRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs"

payload = { "data": { "has_client_approved": False } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"has_client_approved":false}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs"

	payload := strings.NewReader("{\n  \"data\": {\n    \"has_client_approved\": false\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"has_client_approved\": false\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"has_client_approved\": false\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs', [
  'body' => '{
  "data": {
    "has_client_approved": false
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"has_client_approved\": false\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["has_client_approved": false]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/review-client-sign-offs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```